Subject: Re: bug#64167: 29.0.92; Ahead-of-time native compilation failed Emacs 29.0.92

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Jul 2023 11:24:04 +0300

> Cc: [email-masked], [email-masked]
> Date: Thu, 22 Jun 2023 14:48:47 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Eason Huang <[email-masked]>
> > Cc: Corwin Brust <[email-masked]>,  [email-masked]
> > Date: Wed, 21 Jun 2023 14:05:13 +0800
> > 
> > Eli Zaretskii <[email-masked]> writes:
> > 
> > > The difference is that in the release tarball you have all the *.elc
> > > files up-to-date, so the native-compilation rule doesn't kick in.
> > > Remove all the *.elc file, and I'm guessing that the aot build will
> > > work.
> > Yes, you are right. I tried to download source code from
> > https://git.savannah.gnu.org/cgit/emacs.git/snapshot/emacs-2bad5829ff76538774676f7274f40ce7baf04c73.tar.gz
> > 
> > And it can be build --with-native-compilation=aot
> 
> OK, I think I fixed this now on the emacs-29 branch.  I tested the fix
> with several configurations, but not all of them.  In particular, I
> didn't test out-of-tree builds, so if someone could test that, I'd
> appreciate.

No further comments, so I presume the bug was indeed fixed, and I'm
closing it.  Feel free to reopen if something still doesn't work.